function IzracunajPremikeKonstrukcijeDirektnoCollocationSapV1


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%theta=>1, gama=1/2, theta/(2*(theta+1))>=B>=(2*theta^2-1)/(4*(2*theta^3-1))
%kombinacija Wilsonove in Newmarkove metode
theta=PodatkiOAnalizi.DirektnaIntegracija.CTheta;
B=PodatkiOAnalizi.DirektnaIntegracija.CBeta;
ga=PodatkiOAnalizi.DirektnaIntegracija.CGamma;
%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna

    Kn=1/(B*(theta*dt)^2)*M+ga/(B*theta*dt)*C+K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    Fn=M*(-theta*(Uatk-Uatz)-Uatz+1/(B*(theta*dt)^2)*Uzo+1/(B*theta*dt)*Uvzo+(1/(2*B)-1)*Uazo)+C*(ga/(B*theta*dt)*Uzo+(ga/B-1)*Uvzo+theta*dt*(ga/(2*B)-1)*Uazo);

    Uw=linsolve(Kn,Fn);
   
    Uak(:,1)=1/(B*theta*(theta*dt)^2)*(Uw-Uzo-theta*dt*Uvzo)+(1-1/(2*B*theta))*Uazo;    
    Uvk(:,1)=Uvzo+dt*((1-ga)*Uazo+ga*Uak);
    Uk(:,1)=Uzo+dt*Uvzo+dt^2/2*((1-2*B)*Uazo+2*B*Uak);
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);

    Fn=M*(-theta*(Uatk-Uatz)-Uatz+1/(B*(theta*dt)^2)*Uz+1/(B*theta*dt)*Uvz+(1/(2*B)-1)*Uaz)+C*(ga/(B*theta*dt)*Uz+(ga/B-1)*Uvz+theta*dt*(ga/(2*B)-1)*Uaz);
    
    Uw=linsolve(Kn,Fn);
    
    Uak(:,i+1)=1/(B*theta*(theta*dt)^2)*(Uw-Uz-theta*dt*Uvz)+(1-1/(2*B*theta))*Uaz;    
    Uvk(:,i+1)=Uvz+dt*((1-ga)*Uaz+ga*Uak(:,i+1));
    Uk(:,i+1)=Uz+dt*Uvz+dt^2/2*((1-2*B)*Uaz+2*B*Uak(:,i+1));
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD)<abs(Uk(:,i));
      UmaxD=Uk(:,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeDCollocationSapV1=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiDCollocationSapV1=UmaxD;