function IzracunajPremikeKonstrukcijeDirektnoNewmark


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna
B=PodatkiOAnalizi.DirektnaIntegracija.NBeta;
G=PodatkiOAnalizi.DirektnaIntegracija.NGamma;
b1=1/(B*dt^2);
b2=-1/(B*dt);
b3=1-1/(2*B);
b4=G/(dt*B);
b5=1-G/B;
b6=dt*(1-G/(2*B));
    Kn=b1*M+b4*C+K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    dF=M*(-Uatk+Uatz-b2*Uvzo+(1-b3)*Uazo)+C*((1-b5)*Uvzo-b6*Uazo);

    dU=linsolve(Kn,dF);

    Uk(:,1)=dU;
    Uvk(:,1)=b4*(dU)+b5*Uvzo+b6*Uazo;
    Uak(:,1)=b1*(dU)+b2*Uvzo+b3*Uazo;
%     Uk(:,1)=dU;
%     Uvk(:,1)=b4*(dU-Uzo)+b5*Uvzo+b6*Uazo;
%     Uak(:,1)=b1*(dU-Uzo)+b2*Uvzo+b3*Uazo;
    
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);
    dF=M*(-Uatk+Uatz-b2*Uvz+(1-b3)*Uaz)+C*((1-b5)*Uvz-b6*Uaz);
    
    dU=linsolve(Kn,dF);
  
     Uk(:,i+1)=dU+Uz;
    Uvk(:,i+1)=b4*(dU)+b5*Uvz+b6*Uaz;
    Uak(:,i+1)=b1*(dU)+b2*Uvz+b3*Uaz;   
    
%     Uk(:,i+1)=dU;
%     Uvk(:,i+1)=b4*(dU-Uz)+b5*Uvz+b6*Uaz;
%     Uak(:,i+1)=b1*(dU-Uz)+b2*Uvz+b3*Uaz;
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD)<abs(Uk(:,i));
      UmaxD=Uk(:,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeDNewmark=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiDNewmark=UmaxD;
