function Izpis(varargin)

global PodatkiOKonstrukciji
global RezultatiAnalize
global SmerAnalize
global Xcr Ycr Xt Yt

diary on
disp([' '])
disp(['%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%'])
disp(['%%%  EAVEK 2007 - Potresna analiza konstrukcije  %%'])
disp(['%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%'])

if nargin==0
    sta=7;
    arg{1}='Matrike makroelementov';
    arg{2}='Matrike konstrukcije';
    arg{3}='Lastno nihanje';
    arg{4}='Potresne sile na konstrukcijo';
    arg{5}='Premiki konstrukcije';
    arg{6}='Potresne sile na makroelemente';
    arg{7}='Premiki makroelementov';
else
    sta=nargin;
    arg=varargin;
end


for k=1:sta
    
    
if strcmp(arg(k),'Matrike makroelementov')==1   
disp([' '])
disp(['------------------------------------------------------------------------------------- '])
disp(['TOGOSTNE MATRIKE MAKROELEMENTOV "ki" [kN/m]'])
disp(['------------------------------------------------------------------------------------- '])
for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
    disp([' '])
    disp(['k:' num2str(i)])
    disp([num2str(RezultatiAnalize.Matrike.Makroelement(i).TogostnaMatrika,'%14.0f')])
end
clear i

disp([' '])
disp(['------------------------------------------------------------------------------------- '])
disp(['PODAJNOSTNE MATRIKE MAKROELEMENTOV "di" [m/kN]'])
disp(['------------------------------------------------------------------------------------- '])
for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
    disp([' '])
    disp(['d:' num2str(i)])
    disp([num2str(RezultatiAnalize.Matrike.Makroelement(i).PodajnostnaMatrika,'%14.2e')])
end
clear i




elseif strcmp(arg(k),'Matrike konstrukcije')==1
disp([' '])
disp(['--------------------------------------------------------------------------------------'])
disp(['TOGOSTNA MATRIKA KONSTRUKACIJE "K" [kN/m]'])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
disp([num2str(RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika','%14.0f')])
disp([' '])

disp(['--------------------------------------------------------------------------------------'])
disp(['PODAJNOSTNA MATRIKA KONSTRUKACIJE "D" [m/kN]'])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
disp([num2str(RezultatiAnalize.Matrike.Konstrukcija.PodajnostnaMatrika','%14.2e')])
disp([' '])



elseif strcmp(arg(k),'Lastno nihanje')==1||sta==0
disp(['--------------------------------------------------------------------------------------'])
disp(['LASTNO NIHANJE KONSTRUKCIJE  '])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
disp(['Nihajni asi konstrukcije (s):'])
disp([num2str(RezultatiAnalize.LastnoNihanje.NihajniCasi,'%11.2f')])
disp([' '])
disp(['Nihajne oblike konstrukcije:'])
disp([num2str(RezultatiAnalize.LastnoNihanje.NihajneOblike,3)])
clear i







elseif strcmp(arg(k),'Potresne sile na konstrukcijo')==1
disp([' '])
disp(['--------------------------------------------------------------------------------------'])
disp(['NEKOMBINIRANE POTRESNE SILE NA KONSTRUKCIJO (kN, kNm) '])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   if sum(Xcr(:,2)-diag(Xt))==0&&sum(Ycr(:,2)-diag(Yt))==0
   else
      disp(['-- Potres X:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.Nekombinirani.ObremenitevX([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],j)','%10.0f')])
              disp([' '])
          end
      end
      disp(['-- Potres Y:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.Nekombinirani.ObremenitevY([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],j)','%10.0f')])
              disp([' '])
          end
      end
   end
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   if sum(Xcr(:,2)-diag(Xt))==0 
      disp(['-- Potres Y:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.Nekombinirani.ObremenitevY(i,j)','%10.0f')])
          end
      end
   else 
   end
end


disp([' '])
disp(['--------------------------------------------------------------------------------------'])
disp(['KOMBINIRANE POTRESNE SILE NA KONSTRUKCIJO (kN, kNm) '])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   if sum(Xcr(:,2)-diag(Xt))==0&&sum(Ycr(:,2)-diag(Yt))==0
   else
      disp(['-- Potres XY, SRSS:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.KombinacijaSRSS([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])','%10.0f')])
          disp([' '])
      end
      disp(['-- Potres XY, 1.0*ED,x + 0.3*ED,y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.KombinacijaEC([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],1)','%10.0f')])
          disp([' '])
      end
      disp(['-- Potres XY, 0.3*ED,x + 1.0*ED,y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.KombinacijaEC([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],2)','%10.0f')])
          disp([' '])
      end
      disp(['-- Potres X:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.ObremenitevX([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])','%10.0f')])
          disp([' '])
      end
      disp(['-- Potres Y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.ObremenitevY([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])','%10.0f')])
      end
   end
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
    if sum(Xcr(:,2)-diag(Xt))==0
       disp(['-- Potres Y:'])
       disp([' '])
       for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.PotresneSile.Konstrukcija.Model1.ObremenitevY([i])','%10.0f')])
       end
    end
end








elseif strcmp(arg(k),'Premiki konstrukcije')==1
disp([' '])
disp(['--------------------------------------------------------------------------------------'])
disp(['NEKOMBINIRANI PREMIKI KONSTRUKCIJE (cm, rad*10^-3) '])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   if sum(Xcr(:,2)-diag(Xt))==0&&sum(Ycr(:,2)-diag(Yt))==0;
   else
      disp(['-- Potres X:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.Nekombinirani.ObremenitevX([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],j)'.*100,'%10.2f')])
              disp([' '])
          end
      end
      disp(['-- Potres Y:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.Nekombinirani.ObremenitevY(i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz,j)'.*100,'%10.2f')])
              disp([' '])
          end
      end
   end
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   if sum(Xcr(:,2)-diag(Xt))==0
      disp(['-- Potres Y:'])
      disp([' '])
      for j=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
          disp(['   Nihajna oblika: ' num2str(j)])
          for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
              disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.Nekombinirani.ObremenitevY(i,j)'.*100,'%10.2f')])
              disp([' '])
          end
      end
   end
end


disp([' '])
disp(['--------------------------------------------------------------------------------------'])
disp(['KOMBINIRANI PREMIKI KONSTRUKCIJE (cm, rad*10^-3) '])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   if sum(Xcr(:,2)-diag(Xt))==0&&sum(Ycr(:,2)-diag(Yt))==0;
   else
      disp(['-- Potres XY, SRSS:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
         disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.KombinacijaSRSS([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])'.*100,'%10.2f')])
         disp([' '])
      end
      disp(['-- Potres XY, 1.0*ED,x + 0.3*ED,y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.KombinacijaEC([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],1)'.*100,'%10.2f')])
          disp([' '])
      end
      disp(['-- Potres XY, 0.3*ED,x + 1.0*ED,y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.KombinacijaEC([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz],2)'.*100,'%10.2f')])
          disp([' '])
      end
      disp(['-- Potres X:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.ObremenitevX([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])'.*100,'%10.2f')])
          disp([' '])
      end
      disp(['-- Potres Y:'])
      for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
          disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.ObremenitevY([i i+PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz 1+2*PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz])'.*100,'%10.2f')])
      end
  end

elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   if sum(Xcr(:,2)-diag(Xt))==0
       disp(['-- Potres Y:'])
       disp([' '])
       for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(i) '    ' num2str(RezultatiAnalize.Premiki.Konstrukcija.Model1.ObremenitevY(i)'.*100,'%10.2f')])
       end
   else
   end
end







elseif strcmp(arg(k),'Potresne sile na makroelemente')==1 
disp(['--------------------------------------------------------------------------------------'])
disp(['NEKOMBINIRANE POTRESNE SILE NA MAKROELEMENTE (kN, kNm)'])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   disp(['-- Potres X'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
               disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.Nekombinirani.ObremenitevX(j,:)*100,'%+10.0f'))])
           end
       end
   end
   disp([' '])
   disp(['-- Potres Y'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
               disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.Nekombinirani.ObremenitevY(j,:)*100,'%+10.0f'))])
           end
       end
   end
   disp([' '])
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   disp(['-- Potres Y'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
               disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.Nekombinirani.ObremenitevY(j,no)'*100,'%+10.0f'))])
           end
       end
   end
   disp([' ']) 
end
clear i j
    
disp(['--------------------------------------------------------------------------------------'])
disp(['KOMBINIRANE POTRESNE SILE NA MAKROELEMENTE (kN, kNm)'])
disp(['--------------------------------------------------------------------------------------'])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   disp([' '])
   disp(['-- Potres XY, SRSS'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.KombinacijaSRSS','%+10.0f') ])
       end
       disp([' '])
   end
   disp(['-- Potres XY: 1,0*Ed,x + 0.3*Ed,y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.KombinacijaEC(j,1)','%+10.0f') ])
       end
       disp([' '])
   end
   disp(['-- Potres XY: 0,3*Ed,x + 1,0*Ed,y'])
   disp([' '])  
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.KombinacijaEC(j,2)','%+10.0f') ])
       end
       disp([' '])
   end 
   disp(['-- Potres X'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.ObremenitevX(j)','%+10.0f') ])
       end
       disp([' '])
   end
   disp(['-- Potres Y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.ObremenitevY(j)','%+10.0f') ])
       end
       disp([' '])
   end

elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   disp(['-- Potres Y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.PotresneSile.Makroelementi(i).Model1.ObremenitevY(j)','%+10.0f') ])
       end
       disp([' '])
   end
else 
end






elseif strcmp(arg(k),'Premiki makroelementov')==1
disp(['--------------------------------------------------------------------------------------'])
disp(['NEKOMBINIRANI PREMIKI MAKROELEMENTOV (cm)'])
disp(['--------------------------------------------------------------------------------------'])
disp([' '])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   disp(['-- Potres X'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.Nekombinirani.ObremenitevX(j,:)*100,'%+10.2f'))])
           end
       end
   end
   disp([' '])
   disp(['-- Potres Y'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
               disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.Nekombinirani.ObremenitevY(j,:)*100,'%+10.2f'))])
           end
       end
   end
   disp([' '])
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   disp(['-- Potres Y'])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp([' '])
       disp(['   * Makroelement' num2str(i)])
       for no=1:length(RezultatiAnalize.LastnoNihanje.NihajniCasi)
           disp([' '])
           disp(['       NihajnaOblika: ' num2str(no)])
           for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
               disp(['       etaza' num2str(j) '   ' num2str(num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.Nekombinirani.ObremenitevY(j,no)'*100,'%+10.2f'))])
           end
       end
   end
   disp([' '])    
end


disp(['--------------------------------------------------------------------------------------'])
disp(['KOMBINIRANI PREMIKI MAKROELEMENTOV (cm)'])
disp(['--------------------------------------------------------------------------------------'])
if strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri XY')==1
   disp([' '])
   disp(['-- Potres XY, SRSS'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.KombinacijaSRSS'*100,'%+10.2f') ])
       end
       disp([' '])
   end
   disp(['-- Potres XY: 1,0*Ed,x + 0.3*Ed,y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
       disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.KombinacijaEC(j,1)'*100,'%+10.2f') ])
       end
       disp([' '])
   end
   disp(['-- Potres XY: 0,3*Ed,x + 1,0*Ed,y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.KombinacijaEC(j,2)'*100,'%+10.2f') ])
       end
       disp([' '])
   end
   disp(['-- Potres X'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.ObremenitevX(j)'*100,'%+10.2f') ])
       end
       disp([' '])
   end
   disp(['-- Potres Y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.ObremenitevY(j)'*100,'%+10.2f') ])
       end
       disp([' '])
   end
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri X')==1
    
elseif strcmp(SmerAnalize,'Konstrukcija je analizirana v smeri Y')==1
   disp(['-- Potres Y'])
   disp([' '])
   for i=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloMakroelementov;
       disp(['   Makroelement: ' num2str(i)])    
       for j=1:PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz
           disp(['   etaza ' num2str(j) '  ' num2str(RezultatiAnalize.Premiki.Makroelementi(i).Model1.ObremenitevY(j)'*100,'%+10.2f') ])
       end
       disp([' '])
   end
end
end
end
diary off





