function RisiNSK(varargin)

% narise notranje sile n konstrukcijskih elementih

global ste ozm esx esy lp H L PreslikavaElementa Xel Yel m n 
global Fe Feno FekombSrss FekombEc

nsk=varargin{1};
zstm=varargin{2};
no=varargin{3};
naslov1=varargin{end-3};
naslov2=varargin{end-2};
naslov3=varargin{end-1};
naslov4=varargin{end};

if strcmp(varargin{4},'X')==1
    smer=1;
elseif strcmp(varargin{4},'Y')==1
    smer=2;   
end

if strcmp(varargin{5},'Fe')==1 %e riemo nekombinirane notranje sile
    Fnsk(:,:,1)=squeeze(squeeze(Fe(nsk,no,smer,:,:,zstm,1)))';
elseif strcmp(varargin{5},'Feno')==1 %e riemo nekombinirane notranje sile
    Fnsk(:,:,1)=squeeze(squeeze(Feno(nsk,smer,:,:,zstm,1)))';
elseif strcmp(varargin{5},'FekombSrss')==1 %e riemo nekombinirane notranje sile
    for i=1:ste(zstm)
        for j=1:11
            Fnsk(i,j,1)=FekombSrss{j,i,zstm,1}(3);
        end
    end
elseif strcmp(varargin{5},'FekombEc')==1 %e riemo nekombinirane notranje sile
    for i=1:ste(zstm)
        for j=1:11
            Fnsk(i,j,1)=FekombEc{1,j,i,zstm,1}(3);
            Fnsk(i,j,2)=FekombEc{2,j,i,zstm,1}(3);
        end
    end    
end

NSKmax=0;
for i=1:ste(zstm)
    if max(abs([Fnsk(i,1,:) Fnsk(i,11,:)]))>=NSKmax
        NSKmax=max(max(max(abs([Fnsk(:,:,:) Fnsk(:,:,:)]))));
    end
end

for j=1:size(Fnsk,3)
    for i=1:ste(zstm) %za vse elemente makroelementa
        if ozm(zstm)==1 %ce je to okvir
            for k=1:11
                Xnsk(i,k,j)=Xel(i,1,zstm)+...
                            esx(i,1,zstm).*lp(i,k,zstm)+...
                            esy(i,1,zstm)*0.3*Fnsk(i,k,j)*(min([min(H) min(min(L(zstm)))]))/NSKmax;                                   
                Ynsk(i,k,j)=Yel(i,1,zstm)+...
                            esy(i,2,zstm)*0.3*(Fnsk(i,k,j))*(min([min(H) min(min(L(zstm)))]))/NSKmax+...
                            esx(i,2,zstm)*lp(i,k,zstm);
            end
        elseif ozm(zstm)==2 %ce je to stena
            for k=1:11
                Xnsk(i,k,j)=Xel(i,1,zstm)+...
                            esy(i,1)*Fnsk(i,k,j)*0.5/NSKmax;
                Ynsk(i,k,j)=Yel(i,1,zstm)+...
                            esx(i,2,zstm)*lp(i,k,zstm);   
            end
        end
    end

    if ozm(zstm)==1 % ce je to okvir  
        nSlikX=1; Xs=20; xRobL=1.5; xSredina=1; xRobD=1;nSlikY=1; Ys=17; yRobS=1.5; ySredina=1; yRobZ=3.5;
        PozX=1; PozY=1;
        [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
        
        plot([Xel(1:ste(zstm),:,zstm)]',[Yel(1:ste(zstm),:,zstm)]','k-','LineWidth',1.5)
        hold on
        plot([Xnsk(1:ste(zstm),:,j)]',[Ynsk(1:ste(zstm),:,j)]','k-')
        hold on
        plot([Xel(1:ste(zstm),1,zstm) Xnsk(1:ste(zstm),1,j)]',[Yel(1:ste(zstm),1,zstm) Ynsk(1:ste(zstm),1,j)]','k-')
        hold on
        plot([Xel(1:ste(zstm),2,zstm) Xnsk(1:ste(zstm),11,j)]',[Yel(1:ste(zstm),2,zstm) Ynsk(1:ste(zstm),11,j)]','k-')
        hold off
        set(gca,'Xlim',[-2 sum(L(zstm,:))+2],'Ylim',[-1 sum(H)+2],'YTick',[cumsum(H)]);
        xlabel('Dolina polj [m]');
        ylabel('Viina [m]')
        text(-2,(sum(H)+2)*1.27,['Notranje statine koliine: ',naslov1],'FontSize',14);
        text(-2,(sum(H)+2)*1.2,['Stopnja kombinacije: ',naslov2],'FontSize',12);
        text(-2,(sum(H)+2)*1.13,['Smer delovanja potresa: ',naslov3{j}],'FontSize',12);
        text(-2,(sum(H)+2)*1.06,['Makroelement: ',naslov4],'FontSize',12);
        for k=1:ste(zstm)
            if PreslikavaElementa(k,zstm)<=(m(zstm)+1)*n(zstm)
               text([Xnsk(k,1,j)],[Yel(k,1,zstm)],[num2str(Fnsk(k,1,j),3)],'FontSize',7,'Rotation',90,'VerticalAlignment','Bottom');
               text([Xnsk(k,end,j)],[Yel(k,2,zstm)],[num2str(Fnsk(k,end,j),3)],'FontSize',7,'Rotation',90,'VerticalAlignment','Bottom','HorizontalAlignment','Right');           
            else
               text([Xnsk(k,1,j)],[Ynsk(k,1,j)],[num2str(Fnsk(k,1,j),3)],'FontSize',7,'VerticalAlignment','BaseLine');
               text([Xnsk(k,end,j)],[Ynsk(k,end,j)],[num2str(Fnsk(k,end,j),3)],'FontSize',7,'VerticalAlignment','BaseLine','HorizontalAlignment','Right')             
            end
        end
    elseif ozm(zstm)==2 % ce je to stena
        nSlikX=1; Xs=10; xRobL=1.5; xSredina=1; xRobD=1;nSlikY=1; Ys=13.0; yRobS=1.5; ySredina=1; yRobZ=3.0;
        PozX=5; PozY=5;
        [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
        plot([Xel(1:ste(zstm),:,zstm)]',[Yel(1:ste(zstm),:,zstm)]','k-','LineWidth',1.5)
        hold on
        plot([Xnsk(1:ste(zstm),:,j)]',[Ynsk(1:ste(zstm),:,j)]','k-')
        hold on
        plot([Xel(1:ste(zstm),1,zstm) Xnsk(1:ste(zstm),1,j)]',[Yel(1:ste(zstm),1,zstm) Ynsk(1:ste(zstm),1,j)]','k-')
        hold on
        plot([Xel(1:ste(zstm),2,zstm) Xnsk(1:ste(zstm),11,j)]',[Yel(1:ste(zstm),2,zstm) Ynsk(1:ste(zstm),11,j)]','k-')
        hold off
        set(gca,'Xlim',[-2 +2],'Ylim',[-1 sum(H)+2],'XTick',[],'YTick',[cumsum(H)]);
        for k=1:ste(zstm)
            text([Xnsk(k,1,j)],[Yel(k,1,zstm)],[num2str(Fnsk(k,1,j),5)],'FontSize',7,'VerticalAlignment','Bottom','HorizontalAlignment','Right');                  
        end
        ylabel('Viina [m]');
        xlabel('Mz [kNm]');
        text(-2,(sum(H)+2)*1.31,['Notranje statine koliine: ',naslov1],'FontSize',14);
        text(-2,(sum(H)+2)*1.23,['Stopnja kombinacije: ',naslov2],'FontSize',12);
        text(-2,(sum(H)+2)*1.15,['Smer delovanja potresa: ',naslov3{j}],'FontSize',12);
        text(-2,(sum(H)+2)*1.07,['Makroelement: ',naslov4],'FontSize',12);
    end
end