function [F]=risiNO3(no,m)
% narise nihajno obliko v 3D nacinu


global N
global M 
global Dx
global Dy
global Xt
global Yt
global l
global H
global Fi   % Fi(:,i,m) i=nihajna oblika, m=model
global T
global Mef



% doloi ploskve za tlorise nedeformirane lege
% tukaj je predpostavljeno, da je teie mase na sredini tlorisa
for n=1:N
    % tocka 1
    Xg(1,n)=Dx(n)/2+Xt(n);
    Yg(1,n)=Dy(n)/2+Yt(n);
    Zg(1,n)=max(cumsum(H(1:n)));
    % tocka 2
    Xg(2,n)=-Dx(n)/2+Xt(n);
    Yg(2,n)=Dy(n)/2+Yt(n);
    Zg(2,n)=max(cumsum(H(1:n)));
    % tocka 3
    Xg(3,n)=-Dx(n)/2+Xt(n);
    Yg(3,n)=-Dy(n)/2+Yt(n);
    Zg(3,n)=max(cumsum(H(1:n)));
    % tocka 4
    Xg(4,n)=Dx(n)/2+Xt(n);
    Yg(4,n)=-Dy(n)/2+Yt(n);
    Zg(4,n)=max(cumsum(H(1:n)));
end

% doloi ploskve tlorisa deformirane lege
Ux=Fi(1:N,no,m);
Uy=Fi(N+1:2*N,no,m);
fi=Fi(2*N+1:end,no,m);
for i=1:4
    for n=1:N
        Xgdp(i,n)=Ux(n)+Xg(i,n)*cos(fi(n))+Yg(i,n)*sin(fi(n));
        Ygdp(i,n)=Uy(n)-Xg(i,n)*sin(fi(n))+Yg(i,n)*cos(fi(n));
        
        Xgdm(i,n)=-Ux(n)+Xg(i,n)*cos(-fi(n))+Yg(i,n)*sin(-fi(n));
        Ygdm(i,n)=-Uy(n)-Xg(i,n)*sin(-fi(n))+Yg(i,n)*cos(-fi(n));        
    end
end

% doloi toke za animacijo
nf=10;
pot=[0 -1:-1:-2*nf -2*nf+1:1:0]; %povemo pot 
nslik=size(pot,2);
dUx=(Ux./nf)*pot;
dUy=(Uy./nf)*pot;
dfi=(fi./nf)*pot;

for s=1:nslik 
    for i=1:4 %po tockah tlorisa
        for n=1:N %po etaah
            Xgda(s,i,n)=(Ux(n)+dUx(n,s)) + Xg(i,n)*cos(fi(n)+dfi(n,s))+Yg(i,n)*sin(fi(n)+dfi(n,s));
            Ygda(s,i,n)=(Uy(n)+dUy(n,s)) - Xg(i,n)*sin(fi(n)+dfi(n,s))+Yg(i,n)*cos(fi(n)+dfi(n,s));
        end
    end
end

%meje 3D slike
minX=min([min(min(Xgdp)) min(min(Xgdm)) min(min(Xg))]);
maxX=max([max(max(Xgdp)) max(max(Xgdm)) max(max(Xg))]);
minY=min([min(min(Ygdp)) min(min(Ygdm)) min(min(Yg))]);
maxY=max([max(max(Ygdp)) max(max(Ygdm)) max(max(Yg))]);

%ustvari sliko in osi
figure
os3d=axes('Position',[0.05 0.3 0.9 0.65]','Visible','Off','XLim',[minX maxX],'ZLim',[0 Zg(end)],'ZLim',[minY maxY]);
ostekst=axes('Position',[0.05 0.05 0.9 0.2]','Visible','Off');

% nnapie tekst
axes(ostekst)
text(0.5,0.9,[num2str(no) '. nihajna oblika, ' num2str(m) '. model'],'HorizontalAlignment','center','FontName','Times New Roman','FontSize',11)
text(0.5,0.6,['T= ' num2str(T(no,m),3) ' s,  m_{eff,X}= ' num2str(Mef(no,1),1) ',  m_{eff,Z}= ' num2str(Mef(no,2),1)],'HorizontalAlignment','center','FontName','Times New Roman','FontSize',11)

aviobj = avifile('animNO3.avi');

% animacija
for s = 1:nslik
    axes(os3d);
    %set(gca,'Visible','off')
    plot3(0,0,0);
    hold on
    set(gca,'XLim',[minX maxX],'ZLim',[0 Zg(end)],'YLim',[minY maxY],'PlotBoxAspectRatio',[1 1 1],...
    'DataAspectRatio',[1 1 1],'Visible','Off')
    set(gca,'Projection','perspective',...
        'DataAspectRatio',[1 1 1],'PlotBoxAspectRatio',[1 1 1])
%     'CameraPosition',[-1.3*max(max(Yg)),-1.3*max(max(Yg)),1.5*max(max(Yg))],...
%     'CameraTarget',[0 0 1],...
    % narise nedeformairano lego
    patch(Xg,Yg,Zg,'r','FaceAlpha',0.0,'LineStyle',':')
      
    for c=1:4
        plot3([Xg(c,1) Xg(c,:)],[Yg(c,1) Yg(c,:)],[0 Zg(c,:)],':k')
    end
    % narise tlorise
    patch(squeeze(Xgda(s,:,:)),squeeze(Ygda(s,:,:)),Zg,'g','FaceAlpha',0.5,'LineWidth',1)
    % narise tezisce tlorisa
    patch(0.05*squeeze(Xgda(s,:,:)),0.05*squeeze(Ygda(s,:,:)),Zg,'b','FaceAlpha',0.5,'LineWidth',1)
    % narise stebre 
    for c=1:4
        plot3([Xg(c,1) squeeze(Xgda(s,c,:))'],[Yg(c,1) squeeze(Zgda(s,c,:))'],[0 Zg(c,:)],'-k','LineWidth',1)
    end
    hold off
    % narise celo sliko
    F(s) = getframe;
    
    %shrani animacijo v avi file
       
        %tukaj risi sliko po korakih
        aviobj = addframe(aviobj,os3d);
        
end
aviobj=close(aviobj);

%shrani animacijo v avi file
%aviobj = avifile(['no' num2str(no) 'm' num2str(m) '.avi']);
% aviobj = avifile('animNO3.avi');
%     %tukaj risi sliko po korakih
%     aviobj = addframe(aviobj,F);
% aviobj=close(aviobj);
%aviobj.FileHandle = avi('open',filename);