function IzracunajPremikeKonstrukcijeDirektnoHHT


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna
%A(alfa) je element med -1/3 in 0
A=PodatkiOAnalizi.DirektnaIntegracija.HHTAlfa;
B=(1-A)^2/4;%PodatkiOAnalizi.DirektnaIntegracija.HHTBeta;
G=(1-2*A)/2;%PodatkiOAnalizi.DirektnaIntegracija.HHTGamma;
b1=1/(B*dt^2);
b2=-1/(B*dt);
b3=1-1/(2*B);
b4=G/(dt*B);
b5=1-G/B;
b6=dt*(1-G/(2*B));
    Kn=b1*M+b4*(1+A)*C+(1+A)*K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    dF=M*((1+A)*(-Uatk+Uatz)+A*Uatz-b2*Uvzo+(1-b3)*Uazo)+C*((1+A)*((1-b5)*Uvzo-b6*Uazo)-A*(Uvzo))+K*A*Uzo;

    dU=linsolve(Kn,dF);

    Uk(:,1)=dU;
    Uvk(:,1)=b4*(dU)+b5*Uvzo+b6*Uazo;
    Uak(:,1)=b1*(dU)+b2*Uvzo+b3*Uazo;
    
    Uzz=Uzo;
    Uvzz=Uvzo;
    Uazz=Uazo;   
    Uatzz=Uatz;
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);
    dF=M*((1+A)*(-Uatk+Uatz)+A*(Uatz-Uatzz)-b2*Uvz+(1-b3)*Uaz)+C*((1+A)*((1-b5)*Uvz-b6*Uaz)-A*(Uvz-Uvzz))+K*A*(Uz-Uzz);
    
    dU=linsolve(Kn,dF);
  
     Uk(:,i+1)=dU+Uz;
    Uvk(:,i+1)=b4*(dU)+b5*Uvz+b6*Uaz;
    Uak(:,i+1)=b1*(dU)+b2*Uvz+b3*Uaz;   
    
    Uzz=Uz;
    Uvzz=Uvz;
    Uazz=Uaz; 
    Uatzz=Uatz;
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD(2,1))<abs(Uk(2,i));
      UmaxD(2,1)=Uk(2,i);
    end
    if abs(UmaxD(1,1))<abs(Uk(1,i));
      UmaxD(1,1)=Uk(1,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeDHHT=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiDHHT=UmaxD;
