function IzracunajPremikeKonstrukcijeDirektnoLinearenUa


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna

    Kn=6/dt^2*M+3/dt*C+K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    dF=M*(-Uatk+Uatz+6/dt*Uvzo+3*Uazo)+C*(3*Uvzo+dt/2*Uazo);

    dU=linsolve(Kn,dF);
    
    Uk(:,1)=dU;
    Uvk(:,1)=3/dt*dU-2*Uvzo-dt/2*Uazo;
    Uak(:,1)=6/dt^2*dU-6/dt*Uvzo-2*Uazo;
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);
    dF=M*(-Uatk+Uatz+6/dt*Uvz+3*Uaz)+C*(3*Uvz+dt/2*Uaz);
    
    dU=linsolve(Kn,dF);
    
    Uk(:,i+1)=dU+Uz;
    Uvk(:,i+1)=3/dt*dU-2*Uvz-dt/2*Uaz;
    Uak(:,i+1)=6/dt^2*dU-6/dt*Uvz-2*Uaz;
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD(2,1))<abs(Uk(2,i));
      UmaxD(2,1)=Uk(2,i);
    end
    if abs(UmaxD(1,1))<abs(Uk(1,i));
      UmaxD(1,1)=Uk(1,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeDLinearenUa=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiDLinearenUa=UmaxD;
