function IzracunajPremikeKonstrukcijeDirektnoLinearenUaV1


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna

    Kn=6/dt^2*M+3/dt*C+K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    Fn=M*(-Uatk+6/dt^2*Uzo+6/dt*Uvzo+2*Uazo)+C*(3/dt*Uzo+2*Uvzo+dt/2*Uazo);

    U=linsolve(Kn,Fn);
    
    Uk(:,1)=U;
    Uvk(:,1)=3/dt*(U-Uzo)-2*Uvzo-dt/2*Uazo;
    Uak(:,1)=6/dt^2*(U-Uzo)-6/dt*Uvzo-2*Uazo;
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);
    Fn=M*(-Uatk+6/dt^2*Uz+6/dt*Uvz+2*Uaz)+C*(3/dt*Uvz+2*Uvz+dt/2*Uaz);
    
    U=linsolve(Kn,Fn);
    
    Uk(:,i+1)=U;
    Uvk(:,i+1)=3/dt*(U-Uz)-2*Uvz-dt/2*Uaz;
    Uak(:,i+1)=6/dt^2*(U-Uz)-6/dt*Uvz-2*Uaz;
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD(2,1))<abs(Uk(2,i));
      UmaxD(2,1)=Uk(2,i);
    end
    if abs(UmaxD(1,1))<abs(Uk(1,i));
      UmaxD(1,1)=Uk(1,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeDLinearenUaV1=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiDLinearenUaV1=UmaxD;
