function IzracunajPremikeKonstrukcijeDirektnoWilson


global C
global PodatkiOKonstrukciji
global PodatkiOAnalizi
global UmaxD
global RezultatiAnalize
%Priprava podatkov
K=RezultatiAnalize.Matrike.Konstrukcija.TogostnaMatrika;
M=RezultatiAnalize.Matrike.Konstrukcija.MasnaMatrika;
dt=PodatkiOAnalizi.DirektnaIntegracija.Interval;
nk=PodatkiOAnalizi.DirektnaIntegracija.SteviloKorakov;
acc=PodatkiOAnalizi.DirektnaIntegracija.AkcelerogramPospesek;
N=PodatkiOKonstrukciji.GlobalniPodatki.SteviloEtaz;
%theta>1
theta=PodatkiOAnalizi.DirektnaIntegracija.WTheta;

%izraunamo nadomestno togostno matriko, ki je v elastinem podroju in pri
%konstantnem koraku intergracije konstantna

    Kn=6/(theta*dt)^2*M+3/(theta*dt)*C+K;

    Uatz=zeros(N,1);
    int=interp1(acc(:,1),acc(:,3),dt);
        for j=1:N
            Uatk(j,1)=int*9.81;
        end
    Uzo=zeros(N,1);
    Uvzo=zeros(N,1);
    Uazo=zeros(N,1);
    dF=M*(-theta*(Uatk-Uatz)+6/(theta*dt)*Uvzo+3*Uazo)+C*(3*Uvzo+theta*dt/2*Uazo);

    dU=linsolve(Kn,dF);
   
    Uak(:,1)=6/(theta*(theta*dt)^2)*(dU-theta*dt*Uvzo)+(1-3/theta)*Uazo;    
    Uvk(:,1)=Uvzo+dt/2*(Uak+Uazo);
    Uk(:,1)=Uzo+dt*Uvzo+dt^2/6*(Uak+2*Uazo);
for i =1:nk
    intz=interp1(acc(:,1),acc(:,3),dt*(i));
    intk=interp1(acc(:,1),acc(:,3),dt*(i+1));
    for j=1:N
        Uatz(j,1)=intz*9.81;
        Uatk(j,1)=intk*9.81;
    end

    Uz=Uk(:,i);
    Uvz=Uvk(:,i);
    Uaz=Uak(:,i);
    dF=M*(-theta*(Uatk-Uatz)+6/(theta*dt)*Uvz+3*Uaz)+C*(3*Uvz+theta*dt/2*Uaz);
    
    dU=linsolve(Kn,dF);
    
    Uak(:,i+1)=6/(theta*(theta*dt)^2)*(dU-theta*dt*Uvz)+(1-3/theta)*Uaz; 
    Uvk(:,i+1)=Uvz+dt/2*(Uak(:,i+1)+Uaz);
    Uk(:,i+1)=Uz+dt*Uvz+dt^2/6*(Uak(:,i+1)+2*Uaz);
end
%Izraun maksimalnega pomika
UmaxD=zeros(N,1);   

for i=1:size(Uk,2)
    if abs(UmaxD(2,1))<abs(Uk(2,i));
      UmaxD(2,1)=Uk(2,i);
    end
    if abs(UmaxD(1,1))<abs(Uk(1,i));
      UmaxD(1,1)=Uk(1,i);
    end
end

RezultatiAnalize.Premiki.PremikiKonstrukcijeWilson=Uk;
RezultatiAnalize.Premiki.MaksimalniPremikiWilson=UmaxD;
