function IzracunajNotranjeSile
%DEFINICIJA:
%
%   Funkcija "ObremenitevVozliscElementov" vrne vozliscne sile za vsak
%   element pripadajocega makroelementa. Rezultati sluzijo za racun
%   notranjih sil v elementih.
%
%VHODNI PODATKI:
%
% - el: Spremenljivka je definirana kot vektor. Posamezne komponente
%   pomenijo makroelemente za katere se racunajo notranje sile elementov
%
%IZHODNI PODATKI:
%  
%   Vsi izhodni podatki so definirani kot globalne spremenljvike
%
% - Fekomb: Definirana je kot celicni seznam, vkaterem so razvrsceni vektorji 
%   vozliscnih sil za pripadajoci makroelement.

%Definicija globalnih spremenljivk
global H
global E
global G
global L
global ste
global tor
global ozm
global stm
global at
global bt
global w
global m
global n
global Ac
global Acsy
global Icz
global Ab
global Absy
global Ibz
global Aw
global Awsy
global Awsz
global Iwy
global Iwz
global Iwt
global PreslikavaElementa
global PreslikavaVozlisca2
global stmod
global Um
global Fv
global Fe
global Feno
global FekombSrss
global FekombEc
global FeoSrss
global FeoEc
global SmerAnalize

PomikiVozliscMakroelementov([1:1:stm]);

el=[1:1:stm];

Ab=Ab/1000; %v prekah ni osnih sil.

%Racun vozliscnih sil
for i=1:stmod
for r=1:length(el)
    if ozm(el(r))==1 %ce je to okvir
       for o=1:length(find(PreslikavaElementa(:,el(r)))) %za vse stebre in precke
           for k=1:2 %smer obremenjevanja
               for j=1:length(w(:,i)) %nihajna oblika 
                   if PreslikavaElementa(o,el(r))<=(m(el(r))+1)*n(el(r))%racun stebrov
                       vrsta=PreslikavaElementa(o,el(r))-(ceil(PreslikavaElementa(o,el(r))/(m(el(r))+1))-1)*(m(el(r))+1);
                       etaza=ceil(PreslikavaElementa(o,el(r))/(m(el(r))+1)); 
                       
                       fiy=12*E*Icz(el(r),vrsta)/(G*Acsy(el(r),vrsta)*H(etaza)^2);
                       a=E*Ac(el(r),vrsta)/H(etaza);
                       by=12*E*Icz(el(r),vrsta)/(H(etaza)^3*(1+fiy));
                       cy=6*E*Icz(el(r),vrsta)/(H(etaza)^2*(1+fiy));
                       dy=(4+fiy)*E*Icz(el(r),vrsta)/(H(etaza)*(1+fiy));
                       ey=(2-fiy)*E*Icz(el(r),vrsta)/(H(etaza)*(1+fiy));
                       
                       Fv(1:6,j,k,o,el(r),i)=[by  cy  0  -by  cy  0;...
                                              cy  dy  0  -cy  ey  0;...
                                              0   0   a   0   0  -a;...
                                             -by -cy  0   by -cy  0;...
                                              cy  ey  0  -cy  dy  0;...
                                              0   0  -a   0   0   a]*...
                                              Um([[(PreslikavaVozlisca2(PreslikavaElementa(o,el(r)),el(r))-1)*3+1:(PreslikavaVozlisca2(PreslikavaElementa(o,el(r)),el(r))-1)*3+3] [PreslikavaVozlisca2(PreslikavaElementa(o,el(r))+m(el(r)),el(r))*3+1:PreslikavaVozlisca2(PreslikavaElementa(o,el(r))+m(el(r)),el(r))*3+3]],j,k,el(r),i);
                       for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[-Fv(3,j,k,o,el(r),i) Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(etaza)/10];
                       end
                   elseif PreslikavaElementa(o,el(r))>(m(el(r))+1)*n(el(r))%racun preck
                       polje=PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r))-(ceil((PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r)))/m(el(r)))-1)*m(el(r));
                       etaza=ceil((PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r)))/m(el(r)));
                       
                       fiy=12*E*Ibz(el(r),polje)/(G*Absy(el(r),polje)*L(el(r),polje)^2);
                       a=E*Ab(el(r),polje)/L(el(r),polje);
                       by=12*E*Ibz(el(r),polje)/(L(el(r),polje)^3*(1+fiy));
                       cy=6*E*Ibz(el(r),polje)/(L(el(r),polje)^2*(1+fiy));
                       dy=(4+fiy)*E*Ibz(el(r),polje)/(L(el(r),polje)*(1+fiy));
                       ey=(2-fiy)*E*Ibz(el(r),polje)/(L(el(r),polje)*(1+fiy));
                      
                       Fv(1:6,j,k,o,el(r),i)=[a   0    0   -a    0   0;...
                                              0   dy  -cy   0    ey  cy;...
                                              0  -cy   by   0   -cy -by;...
                                             -a   0    0    a    0   0;...
                                              0   ey  -cy   0    dy  cy;...
                                              0   cy  -by   0    cy  by]*...
                                              Um([PreslikavaVozlisca2(etaza*(m(el(r))+1)+(polje-1),el(r))*3+1:PreslikavaVozlisca2(etaza*(m(el(r))+1)+(polje-1),el(r))*3+6],j,k,el(r),i);
                       for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[0 -Fv(3,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)+Fv(3,j,k,o,el(r),i)*(l-1)*L(el(r),polje)/10];
                       end
                   end
               end
           end
       end
    elseif ozm(el(r))==2 %ce je to stena
        for o=1:n(el(r)) %za vse elemente
            for k=1:2 %za obe smeri gibanja tal
                for j=1:length(w(:,i)) %za vse nihajne oblike                    
                    fiy=12*E*Iwz(el(r),o)/(G*Awsy(el(r),o)*H(o)^2);
                    a=E*Aw(el(r),o)/H(o);
                    by=12*E*Iwz(el(r),o)/(H(o)^3*(1+fiy));
                    cy=6*E*Iwz(el(r),o)/(H(o)^2*(1+fiy));
                    dy=(4+fiy)*E*Iwz(el(r),o)/(H(o)*(1+fiy));
                    ey=(2-fiy)*E*Iwz(el(r),o)/(H(o)*(1+fiy));
                    
                    Fv(1:6,j,k,o,el(r),i)=[by   cy   0   -by   cy   0;...
                                           cy   dy   0   -cy   ey   0;...
                                           0    0    a    0    0   -a;...
                                          -by  -cy   0    by  -cy   0;...
                                           cy   ey   0   -cy   dy   0;...
                                           0    0   -a    0    0    a]*...                                               
                                           Um([(o-1)*3+1:(o-1)*3+6],j,k,el(r),i);
                    for l=1:11
                        Fe(1:3,j,k,l,o,el(r),i)=[-Fv(3,j,k,o,el(r),i) Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(o)/10];
                    end
                end
            end
        end
    elseif ozm(el(r))==3 %ce je to stena na stebrih
        for o=1:(n(el(r))-1)+4 %za vse elemente
            for k=1:2 %za obe smeri gibanja tal
                for j=1:length(w(:,i)) %za vse nihajne oblike                   
                    if o<=2 %racun obeh stebrov
                       fiy=12*E*Icz(el(r),o)/(G*Acsy(el(r),o)*H(1)^2);
                       a=E*Ac(el(r),o)/H(1);
                       by=12*E*Icz(el(r),o)/(H(1)^3*(1+fiy));
                       cy=6*E*Icz(el(r),o)/(H(1)^2*(1+fiy));
                       dy=(4+fiy)*E*Icz(el(r),o)/(H(1)*(1+fiy));
                       ey=(2-fiy)*E*Icz(el(r),o)/(H(1)*(1+fiy));
                       
                       Fv(1:6,j,k,o,el(r),i)=[by   cy   0   -by   cy   0;...
                                              cy   dy   0   -cy   ey   0;...
                                              0    0    a    0    0   -a;...
                                             -by  -cy   0    by  -cy   0;...
                                              cy   ey   0   -cy   dy   0;...
                                              0    0   -a    0    0    a]*...                                                   
                                              Um([[(o-1)*3+1:(o-1)*3+3] [(o+1)*3+1:(o+1)*3+3]],j,k,el(r),i);
                       for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[-Fv(3,j,k,o,el(r),i) Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(1)/10];
                       end
                    elseif o>4 %racun sten v vijih etaah
                           a=E*Aw(el(r),o-3)/H(i);
                           by=12*E*Iwz(el(r),o-3)/(H(i)^3*(1+fiy));
                           cy=6*E*Iwz(el(r),o-3)/(H(i)^2*(1+fiy));
                           dy=(4+fiy)*E*Iwz(el(r),o-3)/(H(i)*(1+fiy));
                           ey=(2-fiy)*E*Iwz(el(r),o-3)/(H(i)*(1+fiy));
                           
                           Fv(1:6,j,k,o,el(r),i)=[by   cy   0   -by   cy   0;...
                                                  cy   dy   0   -cy   ey   0;...
                                                  0    0    a    0    0   -a;...
                                                 -by  -cy   0    by  -cy   0;...
                                                  cy   ey   0   -cy   dy   0;...
                                                  0    0   -a    0    0    a]*...     
                                                  Um([(o-1)*3+1:(o-1)*3+6],j,k,el(r),i);
                       for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[-Fv(3,j,k,o,el(r),i) Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(o-3)/10];
                       end                       
                    else
                    end
                end
            end
        end
    elseif ozm(el(r))==4 %ce je to stena z odprtinami
        for o=1:length(find(PreslikavaElementa(:,el(r)))) %za vse stebre in precke
            for k=1:2 %za obe smeri gibanja tal
                for j=1:length(w(:,i)) %za vse nihajne oblike 
                    if PreslikavaElementa(o,el(r))<=(m(el(r))+1)*n(el(r)) %racun stebrov
                        vrsta=PreslikavaElementa(o,el(r))-(ceil(PreslikavaElementa(o,el(r))/(m(el(r))+1))-1)*(m(el(r))+1);  
                        etaza=ceil(PreslikavaElementa(o,el(r))/(m(el(r))+1));                    

                        fiy=12*E*Icz(el(r),vrsta)/(G*Acsy(el(r),vrsta)*H(etaza)^2);
                        a=E*Ac(el(r),vrsta)/H(etaza);
                        by=12*E*Icz(el(r),vrsta)/(H(etaza)^3*(1+fiy));
                        cy=6*E*Icz(el(r),vrsta)/(H(etaza)^2*(1+fiy));
                        dy=(4+fiy)*E*Icz(el(r),vrsta)/(H(etaza)*(1+fiy));
                        ey=(2-fiy)*E*Icz(el(r),vrsta)/(H(etaza)*(1+fiy));
                        Fv(1:6,j,k,o,el(r),i)=[by   cy   0   -by   cy   0;...
                                               cy   dy   0   -cy   ey   0;...
                                               0    0    a    0    0   -a;...
                                              -by  -cy   0    by  -cy   0;...
                                               cy   ey   0   -cy   dy   0;...
                                               0    0   -a    0    0    a]*...                                              
                                               Um([[(PreslikavaVozlisca2(PreslikavaElementa(o,el(r)),el(r))-1)*3+1:(PreslikavaVozlisca2(PreslikavaElementa(o,el(r)),el(r))-1)*3+3] [PreslikavaVozlisca2(PreslikavaElementa(o,el(r))+m(el(r)),el(r))*3+1:PreslikavaVozlisca2(PreslikavaElementa(o,el(r))+m(el(r)),el(r))*3+3]],j,k,el(r),i);
                        for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[-Fv(3,j,k,o,el(r),i) Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(etaza)/10];
                        end
                    else %za vse precke                    
                        polje=PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r))-(ceil((PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r)))/m(el(r)))-1)*m(el(r));
                        etaza=ceil((PreslikavaElementa(o,el(r))-(m(el(r))+1)*n(el(r)))/m(el(r)));
                        
                        fiy=12*E*Ibz(el(r),polje)/(G*Absy(el(r),polje)*L(el(r),polje)^2);
                        a=E*Ab(el(r),polje)/L(el(r),polje);
                        by=12*E*Ibz(el(r),polje)/(L(el(r),polje)^3*(1+fiy));
                        cy=6*E*Ibz(el(r),polje)/(L(el(r),polje)^2*(1+fiy));
                        dy=(4+fiy)*E*Ibz(el(r),polje)/(L(el(r),polje)*(1+fiy));
                        ey=(2-fiy)*E*Ibz(el(r),polje)/(L(el(r),polje)*(1+fiy));
            
                        be=[a   0    0   -a    0   0;...
                            0   dy  -cy   0    ey  cy;...
                            0  -cy   by   0   -cy -by;...
                           -a   0    0    a    0   0;...
                            0   ey  -cy   0    dy  cy;...
                            0   cy  -by   0    cy  by];
                        
                        %[R]-relacijska matrika
                        R=[1   0   0   0   0   0;...
                           0   1   at(el(r),polje) 0   0   0;...
                           0   0   1   0   0   0;...
                           0   0   0   1   0   0;...
                           0   0   0   0   1  -bt(el(r),polje);...
                           0   0   0   0   0   1]; 
                        
                        Fv(1:6,j,k,o,el(r),i)=R'*pe*R*Um([PreslikavaVozlisca2(etaza*(m(el(r))+1)+(polje-1),el(r))*3+1:PreslikavaVozlisca2(etaza*(m(el(r))+1)+(polje-1),el(r))*3+6],j,k,el(r),i);
                        for l=1:11
                           Fe(1:3,j,k,l,o,el(r),i)=[0 -Fv(3,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i)+Fv(3,j,k,o,el(r),i)*(l-1)*(a(el(r),polje)+L(el(r),polje)/10)];
                        end
                    end                           
                end
            end
        end
     elseif ozm(el(r))==5 %ce je to jedro
        for o=1:n(el(r)) %za vse elemente
            for k=1:2 %za obe smeri gibanja tal
                for j=1:length(w(:,i)) %za vse nihajne oblike 
                    t=G*Iwt(el(r),o)/H(o);
                    if Awsy(el(r),o)>0
                       fiy=12*E*Iwz(el(r),o)/(G*Awsy(el(r),o)*H(o)^2);
                    else
                       fiy=0;
                    end
                    if Awsz(el(r),o)>0
                       fiz=12*E*Iwy(el(r),o)/(G*Awsz(el(r),o)*H(o)^2);
                    else
                       fiz=0;
                    end
                    by=12*E*Iwz(el(r),o)/(H(o)^3*(1+fiy));
                    bz=12*E*Iwy(el(r),o)/(H(o)^3*(1+fiz));
                    cy=6*E*Iwz(el(r),o)/(H(o)^2*(1+fiy));
                    cz=6*E*Iwy(el(r),o)/(H(o)^2*(1+fiz));
                    dy=(4+fiy)*E*Iwz(el(r),o)/(H(o)*(1+fiy));
                    dz=(4+fiz)*E*Iwy(el(r),o)/(H(o)*(1+fiz));
                    ey=(2-fiy)*E*Iwz(el(r),o)/(H(o)*(1+fiy));
                    ez=(2-fiz)*E*Iwy(el(r),o)/(H(o)*(1+fiz));
                    
                    wall=[by  0   0   0  -cy -by  0   0   0  -cy;...
                          0   bz  cz  0   0   0  -bz  cz  0   0;...
                          0   cz  dz  0   0   0  -cz  ez  0   0;...
                          0   0   0   t   0   0   0   0  -t   0;...
                         -cy  0   0   0   dy  cy  0   0   0   ey;...
                         -by  0   0   0   cy  by  0   0   0   cy;...
                          0  -bz -cz  0   0   0   bz -cz  0   0;...
                          0   cz  ez  0   0   0  -cz  dz  0   0;...
                          0   0   0  -t   0   0   0   0   t   0;...
                         -cy  0   0   0   ey  cy  0   0   0   dy];  
                    
                     if tor(el(r))==1
                       Fv(1:10,j,k,o,el(r),i)=wall([find(diag(wall))],[find(diag(wall))])*Um([(o-1)*5+1:(o-1)*5+10],j,k,el(r),i);
                       for l=1:11
                           Fe(1:6,j,k,l,o,el(r),i)=[0 Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i) -Fv(5,j,k,o,el(r),i) Fv(3,j,k,o,el(r),i)+Fv(2,j,k,o,el(r),i)*(l-1)*H(o)/10 Fv(4,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(o)/10];
                       end
                    else
                       Fv(1:8,j,k,o,el(r),i)=wall([find(diag(wall))],[find(diag(wall))])*Um([(o-1)*4+1:(o-1)*4+8],j,k,el(r),i);
                       for l=1:11
                           Fe(1:6,j,k,l,o,el(r),i)=[0 Fv(1,j,k,o,el(r),i) Fv(2,j,k,o,el(r),i) 0 Fv(3,j,k,o,el(r),i)+Fv(2,j,k,o,el(r),i)*(l-1)*H(o)/10 Fv(4,j,k,o,el(r),i)-Fv(1,j,k,o,el(r),i)*(l-1)*H(o)/10];
                       end
                    end                    
                end
            end
        end
    end
end
end

%Kombinacija zaradi vpliva nihajnih oblik (CQC)
for l=1:stmod
for s=1:length(el)
    for o=1:ste(el(s))
        for g=1:11
        for k=1:2
            if ozm(el(s))==1 %ce gre za okvir
               vsota=diag(zeros(3));
               for h=1:3
                   for j=1:length(w(:,l))                     
                       for i=1:length(w(:,l))
                           ceta=0.05; %koeficient kriticnega dusenja
                           r=w(j,l)/w(i,l); %razmerje frekvenc
                           ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                           %ro je faktor, ki defnira sklopljenost posmeznih
                           %nihajnih oblik
                           vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                       end
                   end
               end
               Feno(1:3,k,g,o,el(s),l)=sqrt(vsota);
            elseif ozm(el(s))==2 %ce gre za steno
                   vsota=diag(zeros(3));
                   for h=1:3
                       for j=1:length(w(:,l))
                           for i=1:length(w(:,l))
                               ceta=0.05; %koeficient kriticnega dusenja
                               r=w(j,l)/w(i,l); %razmerje frekvenc
                               ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                               %ro je faktor, ki defnira sklopljenost posmeznih
                               %nihajnih oblik
                               vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                           end
                       end
                   end
                   Feno(1:3,k,g,o,el(s),l)=sqrt(vsota);
            elseif ozm(el(s))==3 %ce gre za steno na stebrih
                   if o<=2
                      vsota=diag(zeros(3));
                      for h=1:3
                          for j=1:length(w(:,l))
                              for i=1:length(w(:,l))
                                  ceta=0.05; %koeficient kriticnega dusenja
                                  r=w(j,l)/w(i,l); %razmerje frekvenc
                                  ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                                  %ro je faktor, ki defnira sklopljenost posmeznih
                                  %nihajnih oblik
                                  vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                              end
                          end
                      end
                      Feno(1:3,k,g,o,el(s),l)=sqrt(vsota);
                   elseif o>4
                       vsota=diag(zeros(3));
                       for h=1:3
                           for j=1:length(w(:,l))
                               for i=1:length(w(:,l))
                                   ceta=0.05; %koeficient kriticnega dusenja
                                   r=w(j,l)/w(i,l); %razmerje frekvenc
                                   ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                                   %ro je faktor, ki defnira sklopljenost posmeznih
                                   %nihajnih oblik
                                   vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                               end
                           end
                       end
                       Feno(1:3,k,g,o,el(s),l)=sqrt(vsota);
                   end
            elseif ozm(el(s))==4 %ce gre za steno z odprtinami
                   vsota=diag(zeros(3));
                   for h=1:3
                       for j=1:length(w(:,l))
                           for i=1:length(w(:,l))
                               ceta=0.05; %koeficient kriticnega dusenja
                               r=w(j,l)/w(i,l); %razmerje frekvenc
                               ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                               %ro je faktor, ki defnira sklopljenost posmeznih
                               %nihajnih oblik
                               vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                           end
                       end
                   end
                   Feno(1:3,k,g,o,el(s),l)=sqrt(vsota);
            else %ce gre za jedro
                vsota=diag(zeros(6));
                for h=1:6
                    for j=1:length(w(:,l))
                        for i=1:length(w(:,l))
                            ceta=0.05; %koeficient kriticnega dusenja
                            r=w(j,l)/w(i,l); %razmerje frekvenc
                            ro(i,j)=((8*ceta^2)*(1+r)*r^(3/2))/((1-r^2)^2+4*(ceta^2)*r*(1+r)^2);
                            %ro je faktor, ki defnira sklopljenost posmeznih
                            %nihajnih oblik
                            vsota(h)=vsota(h)+ro(i,j)*Fe(h,i,k,g,o,el(s),l)*Fe(h,j,k,g,o,el(s),l);
                        end
                    end
                end
                Feno(1:6,k,g,o,el(s),l)=sqrt(vsota);    
            end            
        end
        end
    end
end
end

%Kombinacija zaradi razlicnih smeri vzbujanja (SRSS,Ec)
for l=1:stmod
for s=1:length(el)
    for o=1:ste(el(s))
        for g=1:11
        if ozm(el(s))==1 %ce gre za okvir  
            FekombSrss{g,o,el(s),l}=sqrt(Feno(1:3,1,g,o,el(s),l).^2+Feno(1:3,2,g,o,el(s),l).^2);
            FekombEc{1,g,o,el(s),l}=Feno(1:3,1,g,o,el(s),l)+0.3*Feno(1:3,2,g,o,el(s),l);
            FekombEc{2,g,o,el(s),l}=0.3*Feno(1:3,1,g,o,el(s),l)+Feno(1:3,2,g,o,el(s),l);
        elseif ozm(el(s))==2 %ce gre za steno
            FekombSrss{g,o,el(s),l}=sqrt(Feno(1:3,1,g,o,el(s),l).^2+Feno(1:3,2,g,o,el(s),l).^2);
            FekombEc{1,g,o,el(s),l}=Feno(1:3,1,g,o,el(s),l)+0.3*Feno(1:3,2,g,o,el(s),l);
            FekombEc{2,g,o,el(s),l}=0.3*Feno(1:3,1,g,o,el(s),l)+Feno(1:3,2,g,o,el(s),l);
        elseif ozm(el(s))==3 %ce gre za steno na stebrih
            if o<=2
                FekombSrss{g,o,el(s),l}=sqrt(Feno(1:3,1,g,o,el(s),l).^2+Feno(1:3,2,g,o,el(s),l).^2);
                FekombEc{1,g,o,el(s),l}=Feno(1:3,1,g,o,el(s),l)+0.3*Feno(1:3,2,g,o,el(s),l);
                FekombEc{2,g,o,el(s),l}=0.3*Feno(1:3,1,g,o,el(s),l)+Feno(1:3,2,g,o,el(s),l);
            elseif o>4
                FekombSrss{g,o,el(s),l}=sqrt(Feno(1:3,1,g,o,el(s),l).^2+Feno(1:3,2,g,o,el(s),l).^2);
                FekombEc{1,g,o,el(s),l}=Feno(1:3,1,g,o,el(s),l)+0.3*Feno(1:3,2,g,o,el(s),l);
                FekombEc{2,g,o,el(s),l}=0.3*Feno(1:3,1,g,o,el(s),l)+Feno(1:3,2,g,o,el(s),l);
            else
            end
        elseif ozm(el(s))==4 %ce gre za steno z odprtinami
            FekombSrss{g,o,el(s),l}=sqrt(Feno(1:3,1,g,o,el(s),l).^2+Feno(1:3,2,g,o,el(s),l).^2);
            FekombEc{1,g,o,el(s),l}=Feno(1:3,1,g,o,el(s),l)+0.3*Feno(1:3,2,g,o,el(s),l);
            FekombEc{2,g,o,el(s),l}=0.3*eno(1:3,1,g,o,el(s),l)+Feno(1:3,2,g,o,el(s),l);
        else %ce gre za jedro
            FekombSrss{g,o,el(s),l}=sqrt(Feno(1:6,1,g,o,el(s),l).^2+Feno(1:6,2,g,o,el(s),l).^2);
            FekombEc{1,g,o,el(s),l}=Feno(1:6,1,g,o,el(s),l)+0.3*Feno(1:6,2,g,o,el(s),l);
            FekombEc{2,g,o,el(s),l}=0.3*Feno(1:6,1,g,o,el(s),l)+Feno(1:6,2,g,o,el(s),l);
        end
        end
    end
end
end

%Ovojnica zaradi modelov: Feo
for s=1:length(el)
    for o=1:ste(el(s))
        for g=1:11
            if ozm(el(s))==5 %ce je to jedro
                for l=1:stmod %racun ovojnice za vsako tocko posebej
                    vrednostiSrss(1:6,l)=FekombSrss{g,o,el(s),l}(1:6);
                    vrednostiEc(1,1:6,l)=FekombEc{1,g,o,el(s),l}(1:6);
                    vrednostiEc(2,1:6,l)=FekombEc{2,g,o,el(s),l}(1:6);
                end
                % kombinacija SRSS:
                FeoSrss(:,g,o,el(s))=[max(vrednostiSrss(1,:)) max(vrednostiSrss(2,:)) max(vrednostiSrss(3,:)) max(vrednostiSrss(4,:)) max(vrednostiSrss(5,:)) max(vrednostiSrss(6,:))];
                % kombinacija (1.0*Ed,x + 0.3*Ed,y):
                FeoEc(1,:,g,o,el(s))=[max(vrednostiEc(1,1,:)) max(vrednostiEc(1,2,:)) max(vrednostiEc(1,3,:)) max(vrednostiEc(1,4,:)) max(vrednostiEc(1,5,:)) max(vrednostiEc(1,6,:))];
                % kombinacija (0.3*Ed,x + 1.0*Ed,y):
                FeoEc(2,:,g,o,el(s))=[max(vrednostiEc(2,1,:)) max(vrednostiEc(2,2,:)) max(vrednostiEc(2,3,:)) max(vrednostiEc(2,4,:)) max(vrednostiEc(2,5,:)) max(vrednostiEc(2,6,:))];
                
                clear vrednostiSrss;
                clear vrednostiEc;                
            else % ce je to ravninski makroelement
                for l=1:stmod
                    vrednostiSrss(1:3,l)=FekombSrss{g,o,el(s),l}(1:3);
                    vrednostiEc(1,1:3,l)=FekombEc{1,g,o,el(s),l}(1:3);
                    vrednostiEc(2,1:3,l)=FekombEc{2,g,o,el(s),l}(1:3);
                end     
                % Kombinacija SRSS:
                FeoSrss(1:3,g,o,el(s))=[max(vrednostiSrss(1,:)) max(vrednostiSrss(2,:)) max(vrednostiSrss(3,:))];
                % kombinacija (1.0*Ed,x + 0.3*Ed,y): 
                FeoEc(1,1:3,g,o,el(s))=[max(vrednostiEc(1,1,:)) max(vrednostiEc(1,2,:)) max(vrednostiEc(1,3,:))];
                % kombinacija (0.3*Ed,x + 1.0*Ed,y):
                FeoEc(2,1:3,g,o,el(s))=[max(vrednostiEc(2,1,:)) max(vrednostiEc(2,2,:)) max(vrednostiEc(2,3,:))];
                clear vrednostiSrss;
                clear vrednostiEc;
            end
        end
    end
end