function [Um]=PomikiVozliscMakroelementov(Makroelement)
%DEFINICIJA
%
%   Funkcija "PomikiVozliscMakroelementov" vrne pomike vozlisc 
%   makroelementov. 
%
%IZHODNI PODATKI
%
%   Vsi izhodni podatki so definirani kot globalne spremenljivke
%
% - Um:  Definirana je kot tridimenzonalni seznam, v katerem so razvrsceni 
%   vektorji pomikov vozlisc pripadajocih makroelementov za glede na 
%   pripadajoce nihajne oblike in smeri gibanja tal.

%Definicija globalnih spremenljivk
global stm
global ozm
global stp
global tor
global w
global m
global n
global Km
global Um
global Fm
global stmod

if length(Makroelement)==0
    el=[1:stm];
else
    el=Makroelement;
end

%Racun vozliscnih pomikov makroelementov
for o=1:stmod
    for k=1:length(el)
        for j=1:2
            for i=1:length(w(:,o))
                if ozm(el(k))==3 %indikator stene na stebrih  
                    Um(7:(15+(n(el(k))-1)*3),i,j,el(k),o)=inv(Km(1:9+(n(el(k))-1)*3,1:9+(n(el(k))-1)*3,el(k)))*Fm(1:9+(n(k)-1)*3,i,j,el(k),o);
                elseif ozm(el(k))==1 %indikator okvirja
                    Um(((stp(1,el(k))+1)*3)+1:(sum(stp(1:n(el(k)),el(k))+1))*3+(stp(1,el(k))+1)*3,i,j,el(k),o)=inv(Km(1:sum(stp(1:n(el(k)),el(k))+1)*3,1:sum(stp(1:n(el(k)),el(k))+1)*3,el(k)))*Fm(1:(sum(stp(1:n(el(k)),el(k))+1))*3,i,j,el(k),o); 
                elseif ozm(el(k))==2 %indikator stene
                    Um(4:(n(el(k))+1)*3,i,j,el(k),o)=inv(Km(1:n(el(k))*3,1:n(el(k))*3,el(k)))*Fm(1:n(el(k))*3,i,j,el(k),o); 
                elseif ozm(el(k))==4 %indikator stene z odprtinami
                    Um((stp(1,el(k))+1)*3+1:(sum(stp(1:n(el(k)),el(k))+1))*3+(stp(1,el(k))+1)*3,i,j,el(k),o)=inv(Km(1:sum(stp(1:n(el(k)),el(k))+1)*3,1:sum(stp(1:n(el(k)),el(k))+1)*3,el(k)))*Fm(1:(sum(stp(1:n(el(k)),el(k))+1))*3,i,j,el(k),o); 
                else %indikator jedra
                    if tor(el(k))==1
                       Um(6:(n(el(k))+1)*5,i,j,el(k),o)=inv(Km(1:n(el(k))*5,1:n(el(k))*5,el(k)))*Fm(1:n(el(k))*5,i,j,el(k),o);
                    else
                       Um(5:(n(el(k))+1)*4,i,j,el(k),o)=inv(Km(1:n(el(k))*4,1:n(el(k))*4,el(k)))*Fm(1:n(el(k))*4,i,j,el(k),o); 
                    end
                end           
            end
        end
    end
end