function RisiFeoMEc1(Makroelement)
%rie ovojnice momentov

%INPUT
%stm: stevilo makroelementov
%ozm: oznaka makroelementa
%H: etazne visine
%L: dolzine polj okvirjev

global ozm
global H
global L
global PreslikavaElementa
global Xel
global Yel
global esx
global esy
global lp
global FeoEc
global ste
global m
global n
global Xmom
global Ymom

ZStM=Makroelement;


%RACUN KOORDINAT V PRIMERU OVOJNIC:

for j=1:length(ZStM) % za vse makroelemente
    for i=1:ste(ZStM(j)) % za vse elemente makroelementa
        if ozm(ZStM(j))==1 % ce je to okvir
            Xmom(i,:,ZStM(j))=Xel(i,1,ZStM(j))*ones(1,11)+...
                              esx(i,1,ZStM(j)).*lp(i,:,ZStM(j))+...
                              esy(i,1,ZStM(j))*(squeeze(FeoEc(1,3,:,i,ZStM(j)))'*10^-3)*0.30*(min([min(H) min(L(ZStM(j)))]))/max(max(squeeze(FeoEc(1,3,:,:,ZStM(j)))'*10^-3));
                                                      
            Ymom(i,:,ZStM(j))=Yel(i,1,ZStM(j))*ones(1,11)+...
                              esy(i,2,ZStM(j))*(squeeze(FeoEc(1,3,:,i,ZStM(j)))'*10^-3)*0.30*(min([min(H) min(L(ZStM(j)))]))/max(max(squeeze(FeoEc(1,3,:,:,ZStM(j)))'*10^-3))+...
                              esx(i,2,ZStM(j))*lp(i,:,ZStM(j));                   
        elseif ozm(ZStM(j))==2 % ce je to stena
            Xmom(i,:,ZStM(j))=Xel(i,1,ZStM(j))*ones(1,11)+...
                              esy(i,1,ZStM(j))*squeeze(FeoEc(1,3,:,i,ZStM(j)))'*0.5*10^-3;
            Ymom(i,:,ZStM(j))=Yel(i,1,ZStM(j))*ones(1,11)+...
                              esx(i,2,ZStM(j))*lp(i,:,ZStM(j));                        
                          
        elseif ozm(ZStM(j))==5 % ce je to jedro
            Xmomz(i,:,ZStM(j))=Xel(i,1,ZStM(j))*ones(1,11)+...
                               esy(i,1,ZStM(j))*FeoEc(1,6,:,i,ZStM(j))*0.5*10^-4;
            Xmomy(i,:,ZStM(j))=Xel(i,1,ZStM(j))*ones(1,11)+...
                               esy(i,1,ZStM(j))*FeoEc(1,5,:,i,ZStM(j))*0.5*10^-4;                          
            Ymom(i,:,ZStM(j))=Yel(i,1,ZStM(j))*ones(1,11)+...
                               esx(i,2,ZStM(j))*lp(i,:,ZStM(j));                            
        else    
        end
    end
end


for i=1:length(ZStM) % za vse makroelemente
    if ozm(ZStM(i))==1 % ce je to okvir        
        nSlikX=1; Xs=20; xRobL=1.5; xSredina=1; xRobD=1;nSlikY=1; Ys=16; yRobS=1.5; ySredina=1; yRobZ=2.5;
        PozX=5; PozY=5;
        [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
        
        plot([Xel(1:ste(ZStM(i)),:,ZStM(i))]',[Yel(1:ste(ZStM(i)),:,ZStM(i))]','k-','LineWidth',1.5)
        hold on
        plot([Xmom(1:ste(ZStM(i)),:,ZStM(i))]',[Ymom(1:ste(ZStM(i)),:,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),1,ZStM(i)) Xmom(1:ste(ZStM(i)),1,ZStM(i))]',[Yel(1:ste(ZStM(i)),1,ZStM(i)) Ymom(1:ste(ZStM(i)),1,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),2,ZStM(i)) Xmom(1:ste(ZStM(i)),11,ZStM(i))]',[Yel(1:ste(ZStM(i)),2,ZStM(i)) Ymom(1:ste(ZStM(i)),11,ZStM(i))]','k-')
        hold off
        set(gca,'Xlim',[-2 sum(L(ZStM(i),:))+2],'Ylim',[-1 sum(H)+2],'YTick',[cumsum(H)]);
        xlabel('Dolina polj [m]');
        ylabel('Viina [m]')
        text(-2,(sum(H)+2)+2*(sum(H)+2)/12,['Ovojnica upogibnih momentov Mz  [kNm] :  Makroelement  ',num2str(ZStM(i))],'FontSize',14)
            text(-2,(sum(H)+2)+(sum(H)+2)/12,['Kombinacija 1.0*Ed,x + 0.3*Ed,y'],'FontSize',12);
        for j=1:ste(ZStM(i))
            if PreslikavaElementa(j,ZStM(i))<=(m(ZStM(i))+1)*n(ZStM(i))
               text(Xmom(j,1,ZStM(i)),Yel(j,1,ZStM(i)),[num2str(FeoEc(1,3,1,j,ZStM(i)),3)],'FontSize',7,'Rotation',90,'VerticalAlignment','Bottom');
               text(Xmom(j,end,ZStM(i)),Yel(j,2,ZStM(i)),[num2str(FeoEc(1,3,end,j,ZStM(i)),3)],'FontSize',7,'Rotation',90,'VerticalAlignment','Bottom','HorizontalAlignment','Right');           
            else
               text(Xmom(j,1,ZStM(i)),[Ymom(j,1,ZStM(i))],[num2str(FeoEc(1,3,1,j,ZStM(i)),3)],'FontSize',7,'VerticalAlignment','BaseLine');
               text(Xmom(j,end,ZStM(i)),[Ymom(j,end,ZStM(i))],[num2str(FeoEc(1,3,end,j,ZStM(i)),3)],'FontSize',7,'VerticalAlignment','BaseLine','HorizontalAlignment','Right')             
            end
        end
    elseif ozm(ZStM(i))==2 % ce je to stena
        nSlikX=1; Xs=10.5; xRobL=1.5; xSredina=1; xRobD=1.5;nSlikY=1; Ys=12.5; yRobS=1.5; ySredina=1; yRobZ=2.5;
        PozX=5; PozY=5;
        [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
        
        plot([Xel(1:ste(ZStM(i)),:,ZStM(i))]',[Yel(1:ste(ZStM(i)),:,ZStM(i))]','k-','LineWidth',1.5)
        hold on
        plot([Xmom(1:ste(ZStM(i)),:,ZStM(i))]',[Ymom(1:ste(ZStM(i)),:,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),1,ZStM(i)) Xmom(1:ste(ZStM(i)),1,ZStM(i))]',[Yel(1:ste(ZStM(i)),1,ZStM(i)) Ymom(1:ste(ZStM(i)),1,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),2,ZStM(i)) Xmom(1:ste(ZStM(i)),11,ZStM(i))]',[Yel(1:ste(ZStM(i)),2,ZStM(i)) Ymom(1:ste(ZStM(i)),11,ZStM(i))]','k-')
        hold off
        set(gca,'Xlim',[-2 +2],'Ylim',[-1 sum(H)+2],'XTick',[],'YTick',[cumsum(H)]);
        for j=1:ste(ZStM(i))
            text([Xmom(j,1,ZStM(i))],[Yel(j,1,ZStM(i))],[num2str(FeoEc(1,3,1,j,ZStM(i)),5)],'FontSize',7,'VerticalAlignment','Bottom','HorizontalAlignment','Right');                  
        end
        text(-2,(sum(H)+2)+2.5*(sum(H)+2)/12,'Ovojnica upogibnih momentov Mz ','FontSize',14)
        text(-2,(sum(H)+2)+1.2*(sum(H)+2)/12,['Makroelement: ',num2str(ZStM(i)),'       1.0*Ed,x + 0.3*Ed,y'],'FontSize',12);
        ylabel('Viina [m]');
        xlabel('Mz [kNm]');        
    elseif ozm(ZStM(i))==5 % ce je to jedro
        nSlikX=2; Xs=16; xRobL=1.5; xSredina=2; xRobD=1;nSlikY=1; Ys=14; yRobS=1.5; ySredina=1; yRobZ=2.5;
        PozX=5; PozY=5;
        [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
        
        axes(ks(1,1));
        plot([Xel(1:ste(ZStM(i)),:,ZStM(i))]',[Yel(1:ste(ZStM(i)),:,ZStM(i))]','k-','LineWidth',1.5)
        hold on
        plot([Xmomz(1:ste(ZStM(i)),:,ZStM(i))]',[Ymom(1:ste(ZStM(i)),:,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),1,ZStM(i)) Xmomz(1:ste(ZStM(i)),1,ZStM(i))]',[Yel(1:ste(ZStM(i)),1,ZStM(i)) Ymom(1:ste(ZStM(i)),1,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),2,ZStM(i)) Xmomz(1:ste(ZStM(i)),11,ZStM(i))]',[Yel(1:ste(ZStM(i)),2,ZStM(i)) Ymom(1:ste(ZStM(i)),11,ZStM(i))]','k-')
        hold off
        set(gca,'Xlim',[-2 +2],'Ylim',[-1 sum(H)+2],'XTick',[],'YTick',[cumsum(H)]);
        ylabel('Viina  [m]');
        title('Mz  [kN/m]');
        text(-2,(sum(H)+2)+1.5*(1+sum(H)+2)/10,['Ovojnica upogibnih momentov:  Makroelement  ',num2str(ZStM(i))],'FontSize',14)
        for j=1:ste(ZStM(i))
            text([Xmomy(j,1,ZStM(i))],[Yel(j,1,ZStM(i))],[num2str(FeoSrss(6,1,j,ZStM(i)),5)],'FontSize',7,'VerticalAlignment','Bottom','HorizontalAlignment','Right');                  
        end
        
        axes(ks(2,1));
        plot([Xel(1:ste(ZStM(i)),:,ZStM(i))]',[Yel(1:ste(ZStM(i)),:,ZStM(i))]','k-','LineWidth',1.5)
        hold on
        plot([Xmomy(1:ste(ZStM(i)),:,ZStM(i))]',[Ymom(1:ste(ZStM(i)),:,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),1,ZStM(i)) Xmomy(1:ste(ZStM(i)),1,ZStM(i))]',[Yel(1:ste(ZStM(i)),1,ZStM(i)) Ymom(1:ste(ZStM(i)),1,ZStM(i))]','k-')
        hold on
        plot([Xel(1:ste(ZStM(i)),2,ZStM(i)) Xmomy(1:ste(ZStM(i)),11,ZStM(i))]',[Yel(1:ste(ZStM(i)),2,ZStM(i)) Ymom(1:ste(ZStM(i)),11,ZStM(i))]','k-')
        hold off
        set(gca,'Xlim',[-2 +2],'Ylim',[-1 sum(H)+2],'XTick',[],'YTick',[cumsum(H)]);
        ylabel('Viina  [m]');
        title('My  [kN/m]');
        for j=1:ste(ZStM(i))
            text([Xmomy(j,1,ZStM(i))],[Yel(j,1,ZStM(i))],[num2str(FeoSrss(5,1,j,ZStM(i)),5)],'FontSize',7,'VerticalAlignment','Bottom','HorizontalAlignment','Right');                  
        end
    else
    end
end