function RisiNO(no)
% narie nihajne oblike

% INPUT
% H(e) - viine eta (m)
% T(n) - nihajni asi (s)
% Fi(p,n,m) - nihajne oblike (p-ta prostotsna stopnja, i-ta nihajna oblika)
%
% no(j) - vekor nihajnih oblik, ki jih elimo grafino prikazati

global H
global Fi
global T

nSlikX=4; Xs=20; xRobL=1.5; xSredina=1; xRobD=0; nSlikY=1; Ys=10; yRobS=1.5; ySredina=1; yRobZ=1;
PozX=5; PozY=5;

nno=max(size(no));
ne=max(size(H));

for j=1:nno
    % ustvarjanje slike
    [slika,ks,Lx,Ly]=axesg(nSlikX,Xs,xRobL,xSredina,xRobD,nSlikY,Ys,yRobS,ySredina,yRobZ,PozX,PozY);
    %smer X
    Xno=[zeros(1,1) squeeze(Fi(1:ne,no(j),:))'];
    kota=[0 cumsum(H)'];        
    axes(ks(1,1));
    plot(Xno(1,:),kota,'bo-','MarkerSize',4,'MarkerFaceColor','b','LineWidth',1);
    text(-1,max(kota)*1.07,[num2str(no(j)) '.  Nihajna oblika   T =  '  num2str(T(no(j),1),3) '  s'],'FontName','Arial','FontSize',11);
    set(gca,'Xlim',[-1 1],'Ylim',[0 max(kota)],'YTick',kota(2:end),'YTickLabel',[1:1:ne]);
    xlabel('X','FontName','Arial','FontSize',11);
    ylabel('Etaa','FontName','Arial','FontSize',11);
  
    %smer Y
    Yno=[zeros(1,1) squeeze(Fi(ne+1:2*ne,no(j),:))'];
    axes(ks(2,1));
    plot(Yno(1,:)',kota,'-bo','MarkerSize',4,'MarkerFaceColor','b','LineWidth',1);
    set(gca,'Xlim',[-1 1],'Ylim',[0 max(kota)],'YTick',kota(2:end),'YTickLabel',[1:1:ne]);
    xlabel('Y','FontName','Arial','FontSize',11); 

    %rotacije
    Rno=[zeros(1,1) squeeze(Fi(2*ne+1:end,no(j),:))'];
    axes(ks(3,1));
    plot(Rno(1,:)',kota,'-bo','MarkerSize',4,'MarkerFaceColor','b','LineWidth',1);
    set(gca,'Xlim',[-1 1],'Ylim',[0 max(kota)],'YTick',kota(2:end),'YTickLabel',[1:1:ne]);
    xlabel('R','FontName','Arial','FontSize',11);     

    % legenda
    axes(ks(4,1));
    plot(0.1,0.8,'bo','MarkerFaceColor','b','MarkerEdgeColor','k');
    hold on
    plot(0.1,0.6,'bo','MarkerFaceColor','g','MarkerEdgeColor','k');
    hold on
    plot(0.1,0.4,'bo','MarkerFaceColor','r','MarkerEdgeColor','k');
    hold on
    plot(0.1,0.2,'bo','MarkerFaceColor','m','MarkerEdgeColor','k');
    set(gca,'Xlim',[0 1],'Ylim',[0 1],'XTick',[],'YTick',[],'visible','off');
    text(0.1,1,'Legenda','VerticalAlignment','Top','FontName','Arial','FontSize',11);
    text(0.3,0.8,'Model 1','HorizontalAlignment','Left');
    text(0.3,0.6,'Model 2','HorizontalAlignment','Left');
    text(0.3,0.4,'Model 3','HorizontalAlignment','Left');
    text(0.3,0.2,'Model 4','HorizontalAlignment','Left');  
end
 
clear Xno
% naslednja nihajna oblika
 
  